# ua

Блок служит для сбора данных о браузере пользователя и позволяет определить наличие поддержки JavaScript.
 
Блок служебный и не имеет визуального представления на странице.

В силу того, что блок используется внутри блока `page`, самостоятельно подключать его к странице обычно не требуется.

Блок реализует инлайновый скрипт, в результате работы которого,
у тега `<html>` появляются `CSS`-классы, идентифицирующие, включен ли `JS` (`ua_js_no`/`ua_js_yes`).

## Элементы блока

### `svg`

Элемент проверяет наличие в браузере поддержки формата SVG. Не имеет визуального представления на странице.

Элемент реализует инлайновый скрипт, в результате работы которого,
у тега `<html>` появляются `CSS`-классы, идентифицирующие, включена ли поддержка SVG (`ua_svg_no`/`ua_svg_yes`).

Для использования элемента, достаточно включить его в BEMJSON-декларацию страницы или файл `bemdecl.js`.

Например, элемент может быть подключен в файле `bemdecl.js` следующим образом:

```js
exports.blocks = [
    {
        "name": "page",
        "elems": [
            {
                "name": "css"
            },
            {
                "name": "js"
            }
        ]
    },   
    {
        "name": "ua",
        "elems" : "svg"
    }
];
``` 
