﻿# `page`

Блок на уровне переопределения `desktop.blocks` создает дополнительный HTML-элемент `<meta>`. Элемент задает прагму `http-equiv` `X-UA-Compatible`, определяющую совместимость с юзер-агентами. По умолчанию, значением атрибута `content` элемента является `IE=edge` (совместим с последними версиями Internet Explorer).

Поведением создаваемого `<meta>` можно управлять изменяя значение свойства `'x-ua-compatible'`:
* со значением `false` элемент `<meta>` не будет создаваться.
* строчное значение будет присвоено свойству `content` элемента `<meta>`.

```js
{
    block: 'page',
    title: 'Hello, World!',
    'x-ua-compatible': false,
    content: 'Отмена создания элемента <meta>'
}
```

```js
{
    block: 'page',
    title: 'Hello, World!',
    'x-ua-compatible': 'IE=6',
    content: 'Совместим с Internet Explorer 6'
}
```


## Элементы блока

### `css` 

Элемент `css` служит для подключения таблиц стилей CSS. Элемент становится HTML-тегом `<link>`, со свойством `stylesheet`. Свойство `href` получает ссылку, указанную в поле `url` BEMJSON-декларации элемента. 

#### Свойства элемента

##### `ie`

Используется для указания применимости стилей к Internet Explorer различных версий и подключения специальных стилей IE. 

Для свойства допустимы следующие значения:
* `false` – будут использоваться условные комментарии, предотвращающие использование стилей в IE 9 и ниже. 
* строка вида `'lt IE 8'` – тег `<link>` будет обернут в условные комментарии, для использования в соответствующих версиях IE (для текущего примера `if lt IE 8` – ниже восьмой версии).
* `true` – используется в случае, если в проекте есть отдельный CSS для каждой версии Internet Explorer. Значением свойства `url`, при этом, должна быть строка с путем и именем файла без суффикса. Во время подключения создаются теги `<link>` с отдельным суффиксом для каждой версии. Другими словами, при значении `url` равном `foo.com/index` будут подключены стили `foo.com/index.ie6.css`, `foo.com/index.ie7.css` и т.д. до `...ie9.css`. При этом каждый тег будет обернут в условный комментарий, обеспечивающий его подключение только в соответствующей версии IE.

```js
{
    block: 'page',
    title: 'Page title',
    head: [
        { elem: 'css', url: 'example.css', ie: false },
        { elem: 'css', url: 'example.ie.css', ie: 'lt IE 8' },
        { elem: 'js', url: 'example.js' }
    ],
    content: 'Страница с отдельными CSS правилами для IE'
}
```
